--- old/usr/src/uts/sun4u/ml/mach_locore.s	Fri Feb 28 06:15:58 2020
+++ new/usr/src/uts/sun4u/ml/mach_locore.s	Fri Feb 28 06:15:58 2020
@@ -23,15 +23,6 @@
  * Use is subject to license terms.
  */
 
-#pragma ident	"%Z%%M%	%I%	%E% SMI"
-
-#if defined(lint)
-#include <sys/types.h>
-#include <sys/t_lock.h>
-#include <sys/promif.h>
-#include <sys/prom_isa.h>
-#endif	/* lint */
-
 #include <sys/asm_linkage.h>
 #include <sys/intreg.h>
 #include <sys/ivintr.h>
@@ -46,13 +37,7 @@
 #include <sys/machasi.h>
 #include <sys/clock.h>
 #include <vm/hat_sfmmu.h>
-#if defined(lint)
 
-#include <sys/thread.h>
-#include <sys/time.h>
-
-#else	/* lint */
-
 #include "assym.h"
 
 
@@ -174,16 +159,6 @@
 _local_p1275cis:
 	.nword	0
 
-#endif	/* lint */
-
-#if defined(lint)
-
-void
-_start(void)
-{}
-
-#else /* lint */
-
 	.seg	".data"
 
 	.global nwindows, nwin_minus_one, winmask
@@ -356,9 +331,7 @@
 	.asciz	"main returned"
 	.align	4
 
-#endif	/* lint */
 
-
 /*
  * Generic system trap handler.
  *
@@ -394,14 +367,6 @@
  *	    uint32_t arg2 [%g3.l], uint32_t arg3 [%g3.h], uint32_t [%g2.h])
  */
 
-#if defined(lint)
-
-void
-sys_trap(void)
-{}
-
-#else	/* lint */
-
 	ENTRY_NP(sys_trap)
 	!
 	! force tl=1, update %cwp, branch to correct handler
@@ -875,10 +840,6 @@
 	SET_SIZE(priv_rtt)
 	SET_SIZE(ktl0)
 
-#endif	/* lint */
-
-#ifndef lint
-
 #ifdef DEBUG
 	.seg	".data"
 	.align	4
@@ -899,7 +860,6 @@
 	mov	%o3, %o2
 	SET_SIZE(bad_g4)
 #endif /* DEBUG */
-#endif /* lint */
 
 /*
  * sys_tl1_panic can be called by traps at tl1 which
@@ -906,13 +866,6 @@
  * really want to panic, but need the rearrangement of
  * the args as provided by this wrapper routine.
  */
-#if defined(lint)
-
-void
-sys_tl1_panic(void)
-{}
-
-#else	/* lint */
 	ENTRY_NP(sys_tl1_panic)
 	mov	%o1, %o0
 	mov	%o2, %o1
@@ -919,7 +872,6 @@
 	call	panic
 	mov	%o3, %o2
 	SET_SIZE(sys_tl1_panic)
-#endif /* lint */
 
 /*
  * Turn on or off bits in the auxiliary i/o register.
@@ -932,15 +884,6 @@
  * used to turn on/off the led.
  */
 
-#if defined(lint)
-
-/* ARGSUSED */
-void
-set_auxioreg(int bit, int flag)
-{}
-
-#else	/* lint */
-
 	.seg	".data"
 	.align	4
 auxio_panic:
@@ -980,8 +923,6 @@
 	 wrpr	%g0, %o2, %pstate	/* enable interrupt */
 	SET_SIZE(set_auxioreg)
 
-#endif /* lint */
-
 /*
  * Flush all windows to memory, except for the one we entered in.
  * We do this by doing NWINDOW-2 saves then the same number of restores.
@@ -989,29 +930,11 @@
  * This is used for context switching.
  */
 
-#if defined(lint)
-
-void
-flush_windows(void)
-{}
-
-#else	/* lint */
-
 	ENTRY_NP(flush_windows)
 	retl
 	flushw
 	SET_SIZE(flush_windows)
 
-#endif	/* lint */
-
-#if defined(lint)
-
-void
-debug_flush_windows(void)
-{}
-
-#else	/* lint */
-
 	ENTRY_NP(debug_flush_windows)
 	set	nwindows, %g1
 	ld	[%g1], %g1
@@ -1033,20 +956,10 @@
 
 	SET_SIZE(debug_flush_windows)
 
-#endif	/* lint */
-
 /*
  * flush user windows to memory.
  */
 
-#if defined(lint)
-
-void
-flush_user_windows(void)
-{}
-
-#else	/* lint */
-
 	ENTRY_NP(flush_user_windows)
 	rdpr	%otherwin, %g1
 	brz	%g1, 3f
@@ -1065,8 +978,6 @@
 	nop
 	SET_SIZE(flush_user_windows)
 
-#endif	/* lint */
-
 /*
  * Throw out any user windows in the register file.
  * Used by setregs (exec) to clean out old user.
@@ -1074,14 +985,6 @@
  * signal.
  */
 
-#if defined(lint)
-
-void
-trash_user_windows(void)
-{}
-
-#else	/* lint */
-
 	ENTRY_NP(trash_user_windows)
 	rdpr	%otherwin, %g1
 	brz	%g1, 3f			! no user windows?
@@ -1107,43 +1010,16 @@
 	SET_SIZE(trash_user_windows)
 
 
-#endif	/* lint */
-
 /*
  * Setup g7 via the CPU data structure.
  */
-#if defined(lint)
 
-struct scb *
-set_tbr(struct scb *s)
-{ return (s); }
-
-#else	/* lint */
-
 	ENTRY_NP(set_tbr)
 	retl
 	ta	72		! no tbr, stop simulation
 	SET_SIZE(set_tbr)
 
-#endif	/* lint */
 
-
-#if defined(lint)
-/*
- * These need to be defined somewhere to lint and there is no "hicore.s"...
- */
-char etext[1], end[1];
-#endif	/* lint*/
-
-#if defined (lint)
-
-/* ARGSUSED */
-void
-ptl1_panic(u_int reason)
-{}
-
-#else /* lint */
-
 #define	PTL1_SAVE_WINDOW(RP)						\
 	stxa	%l0, [RP + RW64_LOCAL + (0 * RW64_LOCAL_INCR)] %asi;	\
 	stxa	%l1, [RP + RW64_LOCAL + (1 * RW64_LOCAL_INCR)] %asi;	\
@@ -1418,25 +1294,16 @@
 	  mov	%l1, %o0
 	/*NOTREACHED*/
 	SET_SIZE(ptl1_panic)
-#endif /* lint */
 
 #ifdef	PTL1_PANIC_DEBUG
-#if defined (lint)
+
 /*
  * ptl1_recurse() calls itself a number of times to either set up a known
- * stack or to cause a kernel stack overflow. It decrements the arguments 
+ * stack or to cause a kernel stack overflow. It decrements the arguments
  * on each recursion.
  * It's called by #ifdef PTL1_PANIC_DEBUG code in startup.c to set the
  * registers to a known state to facilitate debugging.
  */
-
-/* ARGSUSED */
-void 
-ptl1_recurse(int count_threshold, int trap_threshold)
-{}
-
-#else /* lint */
-
 	ENTRY_NP(ptl1_recurse)
 	save    %sp, -SA(MINFRAME), %sp
 
@@ -1501,16 +1368,6 @@
 	  nop 					! NOTREACHED 
         SET_SIZE(ptl1_recurse)
 
-#endif /* lint */
-
-#if defined (lint)
-
-/* ARGSUSED */
-void
-ptl1_panic_xt(int arg1, int arg2)
-{}
-
-#else /* lint */
 	/*
 	 * Asm function to handle a cross trap to call ptl1_panic()
 	 */
@@ -1519,20 +1376,10 @@
 	  mov	PTL1_BAD_DEBUG, %g1
         SET_SIZE(ptl1_panic_xt)
 
-#endif /* lint */
-
 #endif	/* PTL1_PANIC_DEBUG */
 
 #ifdef	TRAPTRACE
-#if	defined (lint)
 
-void
-trace_ptr_panic(void)
-{
-}
-
-#else	/* lint */
-
 	ENTRY_NP(trace_ptr_panic)
 	!
 	! freeze the trap trace to disable the assertions.  Otherwise,
@@ -1554,24 +1401,12 @@
 	mov	PTL1_BAD_TRACE_PTR, %g1
 	SET_SIZE(trace_ptr_panic)
 
-#endif	/* lint */
 #endif	/* TRAPTRACE */
-        
-#if	defined (lint)
 /*
  * set_kcontextreg() sets PCONTEXT to kctx
  * if PCONTEXT==kctx, do nothing
  * if N_pgsz0|N_pgsz1 differ, do demap all first
  */
-
-/* ARGSUSED */
-void
-set_kcontextreg()
-{
-}
-
-#else	/* lint */
-
         ENTRY_NP(set_kcontextreg)
 	! SET_KCONTEXTREG(reg0, reg1, reg2, reg3, reg4, label1, label2, label3)
 	SET_KCONTEXTREG(%o0, %o1, %o2, %o3, %o4, l1, l2, l3)
@@ -1578,9 +1413,6 @@
 	retl
         nop
 	SET_SIZE(set_kcontextreg)
-	
-#endif /* lint */
-	
 
 /*
  * The interface for a 32-bit client program that takes over the TBA
@@ -1587,15 +1419,6 @@
  * calling the 64-bit romvec OBP.
  */
 
-#if defined(lint)
-
-/* ARGSUSED */
-int
-client_handler(void *cif_handler, void *arg_array)
-{ return 0; }
-
-#else	/* lint */
-
 	ENTRY(client_handler)
 	save	%sp, -SA64(MINFRAME64), %sp	! 32 bit frame, 64 bit sized
 	sethi	%hi(tba_taken_over), %l2
@@ -1665,5 +1488,3 @@
 	restore	%o0, %g0, %o0			! delay; result in %o0
 	SET_SIZE(client_handler)
 
-#endif	/* lint */
-	
